| MESH toolbox 0.1 Matlab/Octave mesh utils

- Main Page
- Related Pages
- Modules
- Files

- File List
- File Members

All Files Functions Groups Pages
Functions
BuildEdges.m File Reference

e2q (nedx2) Edges to Nodes e2q(l,il) : indice dans le tableau Th.q du sommet il de l'arete l e2t (nedx2) Edges to Triangles e2t(l,1) : indice dans le tableau Th.me du 1er triangle adjacent a l'arete l e2t(l,2) : indice dans le tableau Th.me du 2eme triangle adjacent a l'arete l si arete interne sinon 0 e2n (nedx2) : Edges to local number e2n(l,1) : numero local de l'arete dans le 1er triangle (voir e2t) e2n(l,2) : numero local de l'arete dans le 2eme triangle (voir e2t) s'il existe. 0 sinon. e2do (nedx1) e2do(l) : +1 si l'arete est dans le sens direct pour le 1er triangle (voir e2t) -1 sinon e2be (nbex3) : nbe number of boundary edges e2be(l,1) : numero de l'arete du bord e2be(l,2) : +1 si l'arete est dans le "bon" sens -1 sinon e2be(l,3) : label du bord More...

Go to the source code of this file.

## Functions
function [ e2q , e2t , e2n , e2do , e2be ] = | BuildEdges (Th)
| e2q (nedx2) Edges to Nodes e2q(l,il) : indice dans le tableau Th.q du sommet il de l'arete l e2t (nedx2) Edges to Triangles e2t(l,1) : indice dans le tableau Th.me du 1er triangle adjacent a l'arete l e2t(l,2) : indice dans le tableau Th.me du 2eme triangle adjacent a l'arete l si arete interne sinon 0 e2n (nedx2) : Edges to local number e2n(l,1) : numero local de l'arete dans le 1er triangle (voir e2t) e2n(l,2) : numero local de l'arete dans le 2eme triangle (voir e2t) s'il existe. 0 sinon. e2do (nedx1) e2do(l) : +1 si l'arete est dans le sens direct pour le 1er triangle (voir e2t) -1 sinon e2be (nbex3) : nbe number of boundary edges e2be(l,1) : numero de l'arete du bord e2be(l,2) : +1 si l'arete est dans le "bon" sens -1 sinon e2be(l,3) : label du bord

## Detailed Description

e2q (nedx2) Edges to Nodes e2q(l,il) : indice dans le tableau Th.q du sommet il de l'arete l e2t (nedx2) Edges to Triangles e2t(l,1) : indice dans le tableau Th.me du 1er triangle adjacent a l'arete l e2t(l,2) : indice dans le tableau Th.me du 2eme triangle adjacent a l'arete l si arete interne sinon 0 e2n (nedx2) : Edges to local number e2n(l,1) : numero local de l'arete dans le 1er triangle (voir e2t) e2n(l,2) : numero local de l'arete dans le 2eme triangle (voir e2t) s'il existe. 0 sinon. e2do (nedx1) e2do(l) : +1 si l'arete est dans le sens direct pour le 1er triangle (voir e2t) -1 sinon e2be (nbex3) : nbe number of boundary edges e2be(l,1) : numero de l'arete du bord e2be(l,2) : +1 si l'arete est dans le "bon" sens -1 sinon e2be(l,3) : label du bord

Definition in file BuildEdges.m.

## Function Documentation

function [ e2q , e2t , e2n , e2do , e2be ] = BuildEdges | ( |  | Th | ) |

e2q (nedx2) Edges to Nodes e2q(l,il) : indice dans le tableau Th.q du sommet il de l'arete l e2t (nedx2) Edges to Triangles e2t(l,1) : indice dans le tableau Th.me du 1er triangle adjacent a l'arete l e2t(l,2) : indice dans le tableau Th.me du 2eme triangle adjacent a l'arete l si arete interne sinon 0 e2n (nedx2) : Edges to local number e2n(l,1) : numero local de l'arete dans le 1er triangle (voir e2t) e2n(l,2) : numero local de l'arete dans le 2eme triangle (voir e2t) s'il existe. 0 sinon. e2do (nedx1) e2do(l) : +1 si l'arete est dans le sens direct pour le 1er triangle (voir e2t) -1 sinon e2be (nbex3) : nbe number of boundary edges e2be(l,1) : numero de l'arete du bord e2be(l,2) : +1 si l'arete est dans le "bon" sens -1 sinon e2be(l,3) : label du bord

Required fields of Th:

Definition at line 17 of file BuildEdges.m.